Scala Compiler2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package ast
  Definition Classes
    nsc
-  trait DocComments extends AnyRef
  Definition Classes
    ast
- DocComment
- ExpansionLimitExceeded
- UseCase

c

scala.tools.nsc.ast.DocComments

# UseCase 

###

#### case class UseCase(comment: Global.DocComment, body: String, pos: Global.Position) extends Product with Serializable

Source
  DocComments.scala

Linear Supertypes
Serializable, java.io.Serializable, Product, Equals, AnyRef, Any
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. UseCase
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new UseCase(comment: Global.DocComment, body: String, pos: Global.Position)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from Global.UseCase to any2stringadd[Global.UseCase] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (Global.UseCase, B)
   Implicit
     This member is added by an implicit conversion from Global.UseCase to ArrowAssoc[Global.UseCase] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  var aliases: List[Global.Symbol]
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  val body: String
9.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
10.  val comment: Global.DocComment
11.  var defined: List[Global.Symbol]
12.  def ensuring(cond: (Global.UseCase) ⇒ Boolean, msg: ⇒ Any): Global.UseCase
    Implicit
      This member is added by an implicit conversion from Global.UseCase to Ensuring[Global.UseCase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: (Global.UseCase) ⇒ Boolean): Global.UseCase
    Implicit
      This member is added by an implicit conversion from Global.UseCase to Ensuring[Global.UseCase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean, msg: ⇒ Any): Global.UseCase
    Implicit
      This member is added by an implicit conversion from Global.UseCase to Ensuring[Global.UseCase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  def ensuring(cond: Boolean): Global.UseCase
    Implicit
      This member is added by an implicit conversion from Global.UseCase to Ensuring[Global.UseCase] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
16.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
17.  def expandedDefs(sym: Global.Symbol, site: Global.Symbol): List[Global.Symbol]
18.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
19.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from Global.UseCase to StringFormat[Global.UseCase] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
20.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
21.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
22.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
23.  final def notify(): Unit
    Definition Classes
      AnyRef
24.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
25.  val pos: Global.Position
26.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
27.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
29.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  def →[B](y: B): (Global.UseCase, B)
    Implicit
      This member is added by an implicit conversion from Global.UseCase to ArrowAssoc[Global.UseCase] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Serializable

### Inherited from java.io.Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from Global.UseCase to any2stringadd[Global.UseCase]

### Inherited by implicit conversion StringFormat from Global.UseCase to StringFormat[Global.UseCase]

### Inherited by implicit conversion Ensuring from Global.UseCase to Ensuring[Global.UseCase]

### Inherited by implicit conversion ArrowAssoc from Global.UseCase to ArrowAssoc[Global.UseCase]

### Ungrouped